# Analytics M2 Module by Flat 101

## Starting 🚀

Analytics is a module, created by Flat 101, that adds Google Tag Manager to make it 
easier configure and maintenance third party scripts.

## Installation

Use the package manager Composer to install module from a the Flat 101's private 
package repository.

First, you need to add the Flat 101's private package repository to the project. 
Once the repository has been added:

```bash
composer require flat101/analytics
```
Note: This module has Flat101_Base dependance.

```bash
bin/magento setup:upgrade
bin/magento setup:di:compile
bin/magento cache:clean
```

## Configuration

Go to Admin Panel > Flat 101 > Analytics > General settings

From here, we can choose different settings.

> Enabled

Enable the feature for use it on frontend.

> GTM Code

Add GTM-XXXXXXX code to connect with Google Tag Manager

> Datalayer name

Choose name for use Datalayer object. By default, it will be used 'datalayer'.

> GTM Checker

Searches, in configuration database table, any occurrence of GTM or GA.


## Usage
This module only needs add GTM Code and this link the website with GTM. To avoid problems, 
the module adds a checker that searches in Magento configuration table all occurrences of
Google Analytics or Google Tag Manager codes.


## Contributions
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.


## Authors

* **Juan Antonio Licer** - Flat 101 Team
